Page MenuHomePhabricator

Developers/Maintainers graph automation
Open, Needs TriagePublic

Description

This project focuses on automating the generation of the Code Stewardship graph on the developers/maintainers page.

Needs

  • Graph needs to include the 5 most recent quarterly data points stacking unassigned and total values/trends
  • Replace the left % graph with a single value showing the current orphaned (unassigned) code percentage.
  • Need access to historical data for further analysis.

Notes

TODO

  • documentation
  • move to gitlab T321395
  • compare script data with old data (spreadsheet)
  • switch from sync to async (From Sync to Async, Sync vs. Async Mode)
  • General feedback on the script. Can you run it locally? Does the output make sense? Is there enough historical data? Is it sufficiently correct? (I guess the only way to check is to compare with existing data.)
  • Does the visual representation of the data make sense? I've used the simplest {{Graph:Chart}} template. Would a different one make more sense?
  • Which repositories are in scope? Repositories deployed to production?

Event Timeline

zeljkofilipin changed the task status from Open to In Progress.Sep 26 2022, 5:09 PM
zeljkofilipin triaged this task as Medium priority.
zeljkofilipin created this task.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin changed the task status from In Progress to Open.Oct 25 2022, 2:34 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin added a subscriber: Jrbranaa.
zeljkofilipin added a subscriber: pwangai.
zeljkofilipin changed the task status from Open to In Progress.Jan 17 2023, 2:31 PM
zeljkofilipin claimed this task.
zeljkofilipin moved this task from Watching ๐Ÿ”ญ to In Progress on the User-pwangai board.
zeljkofilipin lowered the priority of this task from Medium to Low.Feb 7 2023, 2:30 PM
zeljkofilipin changed the task status from In Progress to Open.Feb 17 2023, 12:28 PM
zeljkofilipin removed zeljkofilipin as the assignee of this task.
zeljkofilipin raised the priority of this task from Low to Needs Triage.
zeljkofilipin updated the task description. (Show Details)

@zeljkofilipin Not sure what happened, but the graphs are no longer present. At some point some of the graphs were removed because they took too much space for the perceived value, but at that time, some of the graphs still seemed to be present. Now they are all gone.

zeljkofilipin changed the task status from Open to In Progress.EditedJul 14 2023, 4:06 PM
zeljkofilipin claimed this task.
zeljkofilipin triaged this task as Low priority.

@Jrbranaa Looks like charts were changed on 10 March 2023. The {{Graph:Chart}} code is still in the page source, but it's not rendered. I'll check if it changed.

zeljkofilipin changed the task status from In Progress to Stalled.Jul 21 2023, 12:02 PM
zeljkofilipin removed zeljkofilipin as the assignee of this task.
zeljkofilipin raised the priority of this task from Low to Needs Triage.

@zeljkofilipin thanks for looking into this. Looks like we're on hold for the time being. We'll loop back around once T334940/T336556 are addressed.

@Jrbranaa looks like it will take a while to fix the graph extension. I can create a graph in another tool, upload a static image to commons and embed the image into the page. What do you think?

I can create a graph in another tool, upload a static image to commons and embed the image into the page. What do you think?

@zeljkofilipin yes, that makes sense. Thanks!

zeljkofilipin changed the task status from Stalled to Open.Sep 13 2023, 10:23 AM
zeljkofilipin moved this task from Waiting ๐Ÿน to Q4 ๐Ÿ‘” on the User-zeljkofilipin board.